require 'rails_logtruncate/truncator'

module RailsLogtruncate
  class Railtie < Rails::Railtie
    config.logtruncate = ActiveSupport::OrderedOptions.new
    config.logtruncate.truncator = RailsLogtruncate::Truncator.new
    config.logtruncate.max_file_size = 5_242_880

    config.before_initialize do
      RailsLogtruncate.truncator = config.logtruncate.truncator
      RailsLogtruncate.truncate(
        Rails.application.config.paths["log"].first,
        config.logtruncate.max_file_size,
        Rails.env
      )
    end
  end
end
